<!-- START Cities block -->
<?php
	$gender = GENDER_FEMALE;
	$is_agency = null;
	// If there are some filters specified, than statistics will be counted
	// for that criterias, otherwise total counts of escorts will be shown


	// <editor-fold defaultstate="collapsed" desc="Sort Functions">
	$fn_order_title = create_function('$a, $b', '
		if ( is_object($a) && is_object($b) ) {
			return strnatcmp($a->city_title, $b->city_title);
		}
		elseif ( is_array($a) && is_array($b) ) {
			return strnatcmp($a["city_title"], $b["city_title"]);
		}
		else return 0;
	');
	// </editor-fold>

	$this->total_count = Model_Statistics::getTotalCount($gender, $is_agency, null, false);
    
    $cities =  $this->cities;

	foreach ( $cities as $i => $city ) {
		if ( $i > 5 ) break;
		$cities[$i]->is_bold = true;
	}

	usort($cities, $fn_order_title);

	$country_iso = Cubix_Application::getById()->iso;
	$config = Zend_Registry::get('escorts_config');


    
//    var_Dump($this->total_count);
?>


<!-- END Cities block -->


<div id="pageTitle">
	<h1><?= __('choose_your_city'); ?></h1>
	<p> <?= __('more_escorts_in_whole_france',array("NUMBER" => $this->total_count))  ?></p>
</div>
    <?
if ( count($cities) > 0 ): ?>
<div class="dottedBorder">
<table class="city ">

	<? foreach ( $cities as $i => $city ): ?>



	<?
    $class = "odd";
    if ( 0 == $i % 4 || 1 == $i % 4 ):
            $class = "even";
        endif;

    
    if ( 0 == $i % 2 ):
        
        ?>
	<?= 0 != $i ? '</tr>' : ''; ?>
	<tr class="<?=$class ?>">
	<? endif ?>

		<td  >
			<a href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->city_slug, 'filter' => null, 'page' => null)) ?>"><?= $city->city_title ?> <span>(<?= $city->escort_count ?>)</span></a>
			
		</td>
	<? endforeach ?>
	</tr>
</table>
</div>
<? else: ?>
<p class="dottedBorder"><?= __('search_reviews_no_result'); ?></p>
<? endif ?>
<?
if(!$this->is_all):
?>
<a href="<?= $this->getLink('morecities') ?>" class="more"><?= __('more'); ?>...</a>
<?
endif;
?>

